## mx-conky 18.12.1

=== debian/changelog ===
mx-conky (18.12.1) mx; urgency=medium

  * open file with "Open With..." or by passing an argument at command line

 -- Adrian <adrian@mxlinux.org>  Thu, 27 Dec 2018 12:41:40 -0500

mx-conky (18.12) mx; urgency=medium

  * add scroll bar
  * save window geometry

 -- Adrian <adrian@mxlinux.org>  Sun, 23 Dec 2018 12:57:51 -0500

mx-conky (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 12:14:12 -0500

mx-conky (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 18:40:03 -0400

mx-conky (18.9) mx; urgency=medium

  * change editor to xdg-open

 -- Adrian <adrian@mxlinux.org>  Sat, 15 Sep 2018 13:17:21 -0400

mx-conky (18.8) mx; urgency=medium

  * fix icon other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 16:13:56 -0400

mx-conky (18.6.1) mx; urgency=medium

  * added changelog button
  * use libcmd

 -- Adrian <adrian@mxlinux.org>  Sun, 24 Jun 2018 21:08:02 -0400

mx-conky (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 14:22:03 -0400

mx-conky (18.3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 10:32:36 -0500

mx-conky (18.2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Feb 2018 01:43:47 -0500

mx-conky (17.12+1) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Mon, 11 Dec 2017 23:16:33 -0500

mx-conky (17.12) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Dec 2017 14:33:40 -0500

mx-conky (17.11) mx; urgency=medium

  * added translations

 -- Adrian <adrian@mxlinux.org>  Tue, 28 Nov 2017 17:49:27 -0500

mx-conky (0.17.11+4) mx; urgency=medium

  * hide GUI while editing file
  * added links in mesage box
  * fix version update to config file

 -- Adrian <adrian@mxlinux.org>  Mon, 20 Nov 2017 14:03:58 -0500

mx-conky (0.17.11+3) mx; urgency=medium

  * fix alignment
  * remove dots from backup file


 -- Adrian <adrian@mxlinux.org>  Thu, 16 Nov 2017 10:05:46 -0500

mx-conky (0.17.11+2) mx; urgency=medium

  * fix alignment

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Nov 2017 11:04:24 -0500

mx-conky (0.17.11+1) mx; urgency=medium

  * version bump

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Nov 2017 09:52:16 -0500

mx-conky (0.17.11) mx; urgency=medium

  * GUI changes
  * message data update

 -- Adrian <adrian@mxlinux.org>  Tue, 14 Nov 2017 10:16:09 -0500

mx-conky (0.17.10) mx; urgency=medium

  * Initial build

 -- Adrian <adrian@mxlinux.org>  Mon, 30 Oct 2017 14:28:37 -0400
