=== debian/control ===
Source: mx-conky
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qt5-default,
        qttools5-dev-tools,
	debhelper (>=9),
	libcmd
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-conky

Package: mx-conky
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-conky-data
Description: MX Conky
 MX Conky is a tool used for manipulating detailed attributes such as color or formats
