## mx-conky 19.2

=== debian/changelog ===
mx-conky (19.2) mx; urgency=medium

  * fix: open file

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Feb 2019 11:46:08 -0500
