## mx-conky 19.7

=== debian/changelog ===
mx-conky (19.7) mx; urgency=medium

  * fix windows buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 13:37:47 -0400
