## mx-conky 19.7.1

=== debian/changelog ===
mx-conky (19.7.1) mx; urgency=medium

  * new icon

 -- Adrian <adrian@mxlinux.org>  Fri, 26 Jul 2019 14:37:14 -0400
