=== debian/control ===
Source: mx-conky
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9),
               libcmd,
               qt5-default,
               qt5-qmake,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-conky

Package: mx-conky
Architecture: any
Depends: mx-conky-data, ${misc:Depends}, ${shlibs:Depends}
Description: MX Conky
 MX Conky is a tool used for manipulating detailed attributes such as color or formats
