## mx-conky 19.8

=== debian/changelog ===
mx-conky (19.8) mx; urgency=medium

  * fix icon

 -- Adrian <adrian@mxlinux.org>  Mon, 12 Aug 2019 09:37:43 -0400
