## mx-conky 19.8.1

=== debian/changelog ===
mx-conky (19.8.1) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 13:46:29 -0400
