## mx-conky 19.9.01

=== debian/changelog ===
mx-conky (19.9.01) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Sep 2019 14:00:03 -0400
