## mx-conky 20.4

=== debian/changelog ===
mx-conky (20.4) mx; urgency=medium

  * new build for Buster/Stretch

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Apr 2020 15:30:41 -0400

mx-conky (20.03.2) mx; urgency=medium

  * removed ja_JP translations

 -- fehlix <fehlix@mxlinux.org>  Thu, 11 Apr 2020 10:53:31 +0200

mx-conky (20.03.1) mx; urgency=medium

  * add lua-format compatibility, minor fixes

 -- fehlix <fehlix@mxlinux.org>  Thu, 02 Apr 2020 00:53:31 +0200
