## mx-conky 21.7.011

=== debian/changelog ===
mx-conky (21.7) mx; urgency=medium

  * Fix mx-conky.conf location

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Jul 2021 16:19:28 -0400
