## mx-conky 22.10.01

=== debian/changelog ===
mx-conky (22.10.01) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 19:58:28 -0400

mx-conky (21.7.011) mx; urgency=medium

  * translation refresh

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:23:40 -0400
