## mx-conky 22.12.01

=== debian/changelog ===
mx-conky (22.12.01) mx; urgency=medium

  * Fix detection of running conky for current user only
  * Get realpath of detected conkyrc

 -- fehlix <fehlix@mxlinux.org>  Mon, 05 Dec 2022 19:20:33 -0500
