## mx-conky 22.12.02

=== debian/changelog ===
mx-conky (22.12.02) mx; urgency=medium

  * Fix handling of spaces in conkyrc path

 -- fehlix <fehlix@mxlinux.org>  Tue, 06 Dec 2022 10:15:30 -0500
