## mx-conky 23.4

=== debian/changelog ===
mx-conky (23.4) mx; urgency=medium

  * Update icon
  * Uptate translations

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Apr 2023 22:50:51 -0400
