## mx-conky 23.5

=== debian/changelog ===
mx-conky (23.5) mx; urgency=medium

  * Update icon

 -- Adrian <adrian@mxlinux.org>  Sun, 14 May 2023 21:52:57 -0400
