## mx-conky 23.5.01

=== debian/changelog ===
mx-conky (23.5.01) mx; urgency=medium

  * Update logo

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 18:32:43 -0400
