## mx-conky 23.7

=== debian/changelog ===
mx-conky (23.7) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 16:29:47 -0400
