## mx-conky 25.08

=== debian/changelog ===
mx-conky (25.08) mx; urgency=medium

  * Redesign application with new features:
    - List all conkys with filtering and search options
    - Allow selecting and starting multiple conkys
    - Add autostart checkbox to set conky to start automatically
    - Settings can define multiple directories to scan for conkys
    - Added options for size, location, and transparency
    - Added preview functionality
    - Implement elevation support for editing system conky files
  * Search matches now on the directory name too 
  * Add delete conky option
  * Don't copy anymore all the conkys to ~/.conky, copy only the directory
    that is being edited from /usr/share/mx-conky-data/
  * Add option to enable/disable conky auto-startup
  * Add create previews option
  * Add option to rename the file. Change filter to 'All' after an edit
  * Implement wifi/lan change; fix some Ui resizing, remove drag info
  * Add directory name before the name of the conky
  * Add Enlightenment desktop environment autostart support

 -- Adrian <adrian@mxlinux.org>  Fri, 01 Aug 2025 00:40:03 -0400

mx-conky (24.4) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Apr 2025 22:04:32 -0400
