=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=6

override_dh_auto_configure:
	cmake -B build -S . -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr

override_dh_auto_clean:
	dh_auto_clean
	rm -f translations/*.qm
	rm -rf build

override_dh_auto_build:
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/inline const QString VERSION {\"\1\"};/" > version.h
	cmake --build build

override_dh_auto_install:
	dh_auto_install

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --no-automatic-dbgsym
