## mx-conky 25.08.1

=== debian/changelog ===
mx-conky (25.08.1) mx; urgency=medium

  * Improve conky detections for different encodings

 -- Adrian <adrian@mxlinux.org>  Fri, 01 Aug 2025 16:52:11 -0400
