=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -rf build
 
 override_dh_auto_build:
-	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/inline const QString VERSION {\"\1\"};/" > version.h
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/inline const QString VERSION {\"\1\"};/" > src/version.h
 	cmake --build build
 
 override_dh_auto_install:
