=== debian/changelog ===
mx-conky (25.08.2) mx; urgency=medium

  * Move Customize button to the first position in the row of buttons

 -- Adrian <adrian@mxlinux.org>  Tue, 19 Aug 2025 18:41:48 -0400
