## mx-conky 25.09

=== debian/changelog ===
mx-conky (25.09) mx; urgency=medium

  * Change contrast for location path

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Sep 2025 09:37:16 -0400
