## mx-conky 25.09.2

=== debian/changelog ===
mx-conky (25.09.2) mx; urgency=medium

  * Set font sizes according to user preference

 -- Adrian <adrian@mxlinux.org>  Thu, 18 Sep 2025 08:41:24 -0400
