## mx-conky 25.09.4

=== debian/changelog ===
mx-conky (25.09.4) mx; urgency=medium

  * Create links for the fonts in /usr/share/mx-conky-data/themes

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Sep 2025 17:35:11 -0400
