## mx-conky 25.10

=== debian/changelog ===
mx-conky (25.10) mx; urgency=medium

  * Get autostart items from the startup script
  * Add 'autostart' filter

 -- Adrian <adrian@mxlinux.org>  Wed, 01 Oct 2025 14:36:23 -0400
