## mx-conky 25.10.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -102,7 +102,6 @@
     src/previewdialog.h
     src/settingsdialog.h
     src/cmd.h
-    src/version.h
 )
 
 set(RESOURCE_FILES
@@ -147,6 +146,7 @@
 target_compile_definitions(mx-conky PRIVATE
     QT_DEPRECATED_WARNINGS
     QT_DISABLE_DEPRECATED_BEFORE=0x060000
+    VERSION="${PROJECT_VERSION}"
 )
 
 # Release-specific optimizations
@@ -167,15 +167,11 @@
 # Handle translations
 qt6_add_translations(mx-conky
     TS_FILES ${TRANSLATION_FILES}
+    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
     QM_FILES_OUTPUT_VARIABLE qm_files
 )
 
-# Generate version.h file
-configure_file(
-    "${CMAKE_SOURCE_DIR}/version.h.in"
-    "${CMAKE_BINARY_DIR}/src/version.h"
-    @ONLY
-)
+
 
 # Set target properties
 set_target_properties(mx-conky PROPERTIES
@@ -183,8 +179,7 @@
     RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
 )
 
-# Add build directory to include path for generated version.h
-target_include_directories(mx-conky PRIVATE ${CMAKE_BINARY_DIR}/src)
+
 
 # Install target (required by Debian build system)
 # Other files are handled by debian/install
