=== debian/changelog ===
mx-conky (25.10.3) mx; urgency=medium

 * Add 12h/24h auto time-format detection and toggle for template-pmfix
 * Add 12h/24h auto time-format detection and toggle for lua hour and lua am_pm
 * Fix to ignore comment lines when detecting and adjusting 12h/24h auto time-format

 -- fehlix <fehlix@mxlinux.org>  Wed, 22 Oct 2025 19:38:40 -0400
