## mx-conky 25.10.6

=== debian/changelog ===
mx-conky (25.10.6) mx; urgency=medium

  * Stop All now stays disabled when no conkys are running, and the
    filtered list refreshes automatically after the global actions.

 -- Adrian <adrian@mxlinux.org>  Tue, 28 Oct 2025 13:21:41 -0400
