## mx-conky 25.10.7

=== debian/changelog ===
mx-conky (25.10.7) mx; urgency=medium

  * Change default delay to 10 seconds.

 -- Adrian <adrian@mxlinux.org>  Tue, 28 Oct 2025 22:29:15 -0400
